import json
import setuptools

kwargs = json.loads(
    """
{
    "name": "cdk-cloudformation-snowflake-database-grant",
    "version": "1.0.0.a7",
    "description": "Allows privileges to be granted on a database to a role. https://docs.snowflake.com/en/sql-reference/sql/grant-privilege.html",
    "license": "Apache-2.0",
    "url": "https://github.com/aws-ia/cloudformation-snowflake-resource-providers",
    "long_description_content_type": "text/markdown",
    "author": "Amazon Web Services",
    "bdist_wheel": {
        "universal": true
    },
    "project_urls": {
        "Source": "https://github.com/cdklabs/cdk-cloudformation.git"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "cdk_cloudformation_snowflake_database_grant",
        "cdk_cloudformation_snowflake_database_grant._jsii"
    ],
    "package_data": {
        "cdk_cloudformation_snowflake_database_grant._jsii": [
            "snowflake-database-grant@1.0.0-alpha.7.jsii.tgz"
        ],
        "cdk_cloudformation_snowflake_database_grant": [
            "py.typed"
        ]
    },
    "python_requires": "~=3.7",
    "install_requires": [
        "aws-cdk-lib>=2.63.0, <3.0.0",
        "constructs>=10.1.239, <11.0.0",
        "jsii>=1.74.0, <2.0.0",
        "publication>=0.0.3",
        "typeguard~=2.13.3"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Typing :: Typed",
        "License :: OSI Approved"
    ],
    "scripts": []
}
"""
)

with open("README.md", encoding="utf8") as fp:
    kwargs["long_description"] = fp.read()


setuptools.setup(**kwargs)
